<template>
  <v-content>
    <div id="core-view" class="px-6">
        <v-fade-transition mode="out-in">
          <router-view />
        </v-fade-transition>

    </div>
    <core-footer v-if="$route.name !== 'Maps'" />
  </v-content>
</template>

<script>
import { mapState } from 'vuex';
import Spiner from "@/components/Base/Spiner";
export default {
  components: {
    Spiner,
  },
  metaInfo() {
    return {
      title: "Диплом"
    };
  },
  computed: {
    ...mapState(['loading'])
  }
};
</script>

<style>
#core-view {
  padding-bottom: 100px;
  height: 100%;
}
</style>
